[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'base64' (#fcl)

# TBase64EncodingStream.Create

Create a new instance of the TBase64EncodingStream class.

## Declaration

Source position: base64.pp line 39

`public constructor TBase64EncodingStream.Create(`
`ASource: TStream`
`);`

## Arguments

`ASource` |  | Destination stream for encoded data

## Description

Create instantiates a new TBase64EncodingStream class. The ASource stream is stored and used to write the encoded data to.

## See also

TBase64EncodingStream.Destroy |  | Remove a TBase64EncodingStream instance from memory
TBase64DecodingStream.Create |  | Create a new instance of the TBase64DecodingStream class

The latest version of this document can be found at lazarus-ccr.sourceforge.net .